#include <iostream>
using namespace std;

int main(){
    int n, l, h;
    cin >> n >> l;
    for (int i = 0; i < n; i++)
    {
        cin >> h;
        if (l >= h)
        {
            cout << i + 1;
            return 0;
        }
    }
    cout << -1;

    return 0;
}